Subject: Re: gtty, stty

From: Manuel Bouyer <[email-masked]>

> 
> Dear NetBSDers,
>     It seems that there is an include file for gtty and stty but when I 
> compile a program using it I get undefined _gtty or _stty.  There is also
> a manual entry for gtty and stty which seems to indicate they should be 
> there.  Below is a program which fails on my system.  My libraries are
> Aug 1.  Includes and kernel Aug 23.
> #include <sgtty.h>
> main(){
>     struct sgttyb b;
>     gtty(0, &b); 
> }
> 
> cc produces:
> ... Undefined symbol `_gtty' ...

I think _stty and _gtty are in /usr/lib/libcompat.a. Add -lcompat 
to your ld flags

-- 
--
Manuel Bouyer, Ecole Nationale Superieure de Techniques Avancees, Paris
email: [email-masked]
--